{* GET CONFIG BY PORTLET OR SMARTY VAR *}
{if isset($portlet) && $portlet->getClass() === 'DZMShippingCountdown'}
    {$isPortlet = true}
    {$uid = $instance->getUid()}
    {$config = $portlet->getConfig()}

{else}
    {$isPortlet = false}
    {$uid = 'static'}
    {$config = $dzm_opc_salesbooster_settings->DZMShippingCountdown}

{/if}


{* CHECK IF WIDGET IS ACTIVE *}
{if $config->active}

    {if $isPreview}
        <div class="dzm-ctd-wrapper {$config->mainWidgetStyle->value}" >
            <i class="fas fa-bolt" style="color:#123456;"></i>
            <span class="dzm-countdown-text expired" style="color:inherit;">
                    [PREVIEW] Bestelle innerhalb von
                    <span class="dzm-countdown-time expired" style="color:inherit;">
                        <span class="dzm-countdown-time-hours">05:</span>
                        <span class="dzm-countdown-time-minutes">59:</span>
                        <span class="dzm-countdown-time-seconds">00</span>
                    </span>
                     und deine Ware wird heute noch versandt!
                </span>
        </div>

    {elseif $Artikel->inWarenkorbLegbar && ( $Artikel->cLagerBeachten == 'N' || ($Artikel->fLagerbestand > 0) )}

        {* PREPARE PORTLET AND INJECTED VALUES *}



        {if $isPortlet}


        <div    id="{$instance->getProperty('blockId')}"
                {foreach $instance->getAnimationData() as $data => $value} data-{$data}="{$value}" {/foreach}
                data-dzm-ctd-injector="{$uid}"
                class="dzm-ctd-wrapper  {$instance->getAnimationClass()} {$instance->getStyleClasses()}"
                style="{$instance->getStyleString()};">
        {else}

        <div data-dzm-ctd-injector="static" class="dzm-ctd-wrapper ">
        {/if}


        </div>



            <script>
                document.addEventListener('DOMContentLoaded',()=>{
                    (new DZMCountdown('{$uid}')).init({
                        mode:'repeat'
                        ,countdownStyle:'{$config->countdownStyle->value}' // M |
                        ,expiredStyle:'{$config->expiredStyle->value}'
                        {if $config->shipMonday},mondayTargetTime:'{$config->mondayShippingTime}'{/if}
                        {if $config->shipTuesday},tuesdayTargetTime:'{$config->tuesdayShippingTime}'{/if}
                        {if $config->shipWednesday},wednesdayTargetTime:'{$config->wednesdayShippingTime}'{/if}
                        {if $config->shipThursday},thursdayTargetTime:'{$config->thursdayShippingTime}'{/if}
                        {if $config->shipFriday},fridayTargetTime:'{$config->fridayShippingTime}'{/if}
                        {if $config->shipSaturday},saturdayTargetTime:'{$config->saturdayShippingTime}'{/if}
                        {if $config->shipSunday},sundayTargetTime:'{$config->sundayShippingTime}'{/if}

                        ,holidays:[{foreach $config->holidays as $holiday}'{$holiday->datum}',{/foreach}]
                        ,icon:'{$config->icon}'
                        ,iconColor: {if $config->iconColor}'{$config->iconColor}'{else}'inherit'{/if}
                        ,altIcon: '{$config->altIcon}'
                        ,altIconColor: {if $config->altIconColor}'{$config->altIconColor}'{else}'inherit'{/if}
                        ,expiredIcon: '{$config->expiredIcon}'
                        ,expiredIconColor: {if $config->expiredIconColor}'{$config->expiredIconColor}'{else}'inherit'{/if}
                        ,countdownColor: {if $config->countdownColor}'{$config->countdownColor}'{else}'inherit'{/if}
                        ,countdownExpiredColor: {if $config->countdownExpiredColor}'{$config->countdownExpiredColor}'{else}'inherit'{/if}

                        ,countdownTextBefore: '{lang key="shipping_countdown_text_before" section="dzm_opc_salesbooster"}'
                        ,countdownTextAfter: '{lang key="shipping_countdown_text_after" section="dzm_opc_salesbooster"}'
                        ,expiredTextBefore: '{lang key="shipping_countdown_expired_text_before" section="dzm_opc_salesbooster"}'
                        ,expiredTextAfter: '{lang key="shipping_countdown_expired_text_after" section="dzm_opc_salesbooster"}'
                        ,altText: '{lang key="shipping_countdown_alt_text" section="dzm_opc_salesbooster"}'

                        ,textColor: {if $config->textColor}'{$config->textColor}'{else}'inherit'{/if}
                        ,altTextColor: {if $config->altTextColor}'{$config->altTextColor}'{else}'inherit'{/if}
                        ,expiredTextColor: {if $config->expiredTextColor}'{$config->expiredTextColor}'{else}'inherit'{/if}

                        ,mainWidgetStyle:'{$config->mainWidgetStyle->value}'
                        ,altTextWidgetStyle:'{$config->altTextWidgetStyle->value}'
                        ,expiredCountdownWidgetStyle:'{$config->expiredCountdownWidgetStyle->value}'

                        ,strings: {
                            day:'{lang key="shipping_countdown_string_day" section="dzm_opc_salesbooster"}',
                            days: '{lang key="shipping_countdown_string_days" section="dzm_opc_salesbooster"}',
                            hour:'{lang key="shipping_countdown_string_hour" section="dzm_opc_salesbooster"}',
                            hours:'{lang key="shipping_countdown_string_hours" section="dzm_opc_salesbooster"}',
                            minute:'{lang key="shipping_countdown_string_minute" section="dzm_opc_salesbooster"}',
                            minutes:'{lang key="shipping_countdown_string_minutes" section="dzm_opc_salesbooster"}',
                            second:'{lang key="shipping_countdown_string_second" section="dzm_opc_salesbooster"}',
                            seconds:'{lang key="shipping_countdown_string_seconds" section="dzm_opc_salesbooster"}',
                            today:'{lang key="shipping_countdown_string_today" section="dzm_opc_salesbooster"}',
                            tomorrow:'{lang key="shipping_countdown_string_tomorrow" section="dzm_opc_salesbooster"}',
                            until:'{lang key="shipping_countdown_string_until" section="dzm_opc_salesbooster"}',
                            clock:'{lang key="shipping_countdown_string_clock" section="dzm_opc_salesbooster"}',
                            and:'{lang key="shipping_countdown_string_and" section="dzm_opc_salesbooster"}'

                        }
                        //,preserveExpiredValues: false
                        //,debugStopTimer:false
                        //,debugTimeFactor:0
                        ,debug:{if $config->debug}true{else}false{/if}
                        //,debugInitialOffset:1000*60*60*24 * -1 * 2
                    })

                })
            </script>
    {else}
        <!-- SHIPPING COUNTDOWN -->
    {/if}
{elseif $isPortlet && $isPreview}

    <div style="border: 2px dashed red!important;">
        <div class="p-3" style="opacity: 0.5;">
            <i class="fas fa-info-circle mr-1"></i>
            <span class=""> <strong>ACHTUNG Widget [Versand Countdown] ist inaktiv</strong></span>
        </div>
    </div>
{/if}




